---
title: Read All User Verified Data
description: Get a list of verified data submitted by the specified user with the GET {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData request. Because the size of the data for some types can be quite large, the response to this request only includes the id and type of each. To retrieve the complete data for a type, use Read One User Verified Data to get that specific type of verified data.
component: pingone-api
page_id: pingone-api:verify:verified-data/read-all-user-verified-data
canonical_url: https://developer.pingidentity.com/pingone-api/verify/verified-data/read-all-user-verified-data.html
section_ids:
  headers: Headers
  example-request: Example Request
  example-response: Example Response
  example-response-2: Example Response
---

# Read All User Verified Data

##

```none
GET {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData
```

Get a list of verified data submitted by the specified user with the `GET {{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData` request. Because the size of the data for some types can be quite large, the response to this request only includes the `id` and `type` of each. To retrieve the complete data for a type, use [Read One User Verified Data](read-one-user-verified-data.html) to get that specific type of verified data.

> **Collapse: Query parameters**
>
> | Parameter | Description                                                                                   |
> | --------- | --------------------------------------------------------------------------------------------- |
> | `type`    | Value is a case-insensitive, comma-delimited string (no spaces permitted) of types to return. |
> | `attempt` | Value defines which attempt or attempts to return.                                            |
>
> For `type`, available types are in the [Verified data data model](../verified-data.html#verify-verified-data-data-model). When `type` is used, the response includes the full [specific verified data data model](../verified-data.html#verify-specific-verified-data-data-model).
>
> For `attempt`, possible values and what each returns are:
>
> | Value    | Returns                                                                                                   |
> | -------- | --------------------------------------------------------------------------------------------------------- |
> | `ALL`    | Default value, latest attempt in `retry.attempt` and all other attempts in `retry.previousAttempts` array |
> | `LATEST` | Latest attempt only in `retry.attempt`                                                                    |
> | `1`      | First attempt only in `retry.attempt`                                                                     |
> | `2`      | Second attempt only in `retry.attempt`                                                                    |
> | `3`      | Third attempt only in `retry.attempt`                                                                     |
> | `4`      | Fourth attempt only in `retry.attempt`                                                                    |

The example responses show verified data from:

1. government identity document verification

2. Aadhaar document verification.

### Headers

Authorization      Bearer {{accessToken}}

##

### Example Request

* cURL

* C#

* Go

* HTTP

* Java

* jQuery

* NodeJS

* Python

* PHP

* Ruby

* Swift

```shell
curl --location --globoff '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData' \
--header 'Authorization: Bearer {{accessToken}}'
```

```csharp
var options = new RestClientOptions("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData")
{
  MaxTimeout = -1,
};
var client = new RestClient(options);
var request = new RestRequest("", Method.Get);
request.AddHeader("Authorization", "Bearer {{accessToken}}");
RestResponse response = await client.ExecuteAsync(request);
Console.WriteLine(response.Content);
```

```golang
package main

import (
  "fmt"
  "net/http"
  "io"
)

func main() {

  url := "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData"
  method := "GET"

  client := &http.Client {
  }
  req, err := http.NewRequest(method, url, nil)

  if err != nil {
    fmt.Println(err)
    return
  }
  req.Header.Add("Authorization", "Bearer {{accessToken}}")

  res, err := client.Do(req)
  if err != nil {
    fmt.Println(err)
    return
  }
  defer res.Body.Close()

  body, err := io.ReadAll(res.Body)
  if err != nil {
    fmt.Println(err)
    return
  }
  fmt.Println(string(body))
}
```

```http
GET /v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData HTTP/1.1
Host: {{apiPath}}
Authorization: Bearer {{accessToken}}
```

```java
OkHttpClient client = new OkHttpClient().newBuilder()
  .build();
MediaType mediaType = MediaType.parse("text/plain");
RequestBody body = RequestBody.create(mediaType, "");
Request request = new Request.Builder()
  .url("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData")
  .method("GET", body)
  .addHeader("Authorization", "Bearer {{accessToken}}")
  .build();
Response response = client.newCall(request).execute();
```

```javascript
var settings = {
  "url": "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData",
  "method": "GET",
  "timeout": 0,
  "headers": {
    "Authorization": "Bearer {{accessToken}}"
  },
};

$.ajax(settings).done(function (response) {
  console.log(response);
});
```

```javascript
var request = require('request');
var options = {
  'method': 'GET',
  'url': '{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData',
  'headers': {
    'Authorization': 'Bearer {{accessToken}}'
  }
};
request(options, function (error, response) {
  if (error) throw new Error(error);
  console.log(response.body);
});
```

```python
import requests

url = "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData"

payload = {}
headers = {
  'Authorization': 'Bearer {{accessToken}}'
}

response = requests.request("GET", url, headers=headers, data=payload)

print(response.text)
```

```php
<?php
require_once 'HTTP/Request2.php';
$request = new HTTP_Request2();
$request->setUrl('{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData');
$request->setMethod(HTTP_Request2::METHOD_GET);
$request->setConfig(array(
  'follow_redirects' => TRUE
));
$request->setHeader(array(
  'Authorization' => 'Bearer {{accessToken}}'
));
try {
  $response = $request->send();
  if ($response->getStatus() == 200) {
    echo $response->getBody();
  }
  else {
    echo 'Unexpected HTTP status: ' . $response->getStatus() . ' ' .
    $response->getReasonPhrase();
  }
}
catch(HTTP_Request2_Exception $e) {
  echo 'Error: ' . $e->getMessage();
}
```

```ruby
require "uri"
require "net/http"

url = URI("{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData")

http = Net::HTTP.new(url.host, url.port);
request = Net::HTTP::Get.new(url)
request["Authorization"] = "Bearer {{accessToken}}"

response = http.request(request)
puts response.read_body
```

```swift
var request = URLRequest(url: URL(string: "{{apiPath}}/v1/environments/{{envID}}/users/{{userID}}/verifyTransactions/{{transactionID}}/verifiedData")!,timeoutInterval: Double.infinity)
request.addValue("Bearer {{accessToken}}", forHTTPHeaderField: "Authorization")

request.httpMethod = "GET"

let task = URLSession.shared.dataTask(with: request) { data, response, error in
  guard let data = data else {
    print(String(describing: error))
    return
  }
  print(String(data: data, encoding: .utf8)!)
}

task.resume()
```

### Example Response

200 OK

```json
{
    "_links": {
        "self": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/"
        },
        "user": {
            "href": "https://api.pingone.com/v1/users/a27dec16-1e80-4f10-a261-2cac46a12b78"
        },
        "environment": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "transaction": {
            "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b"
        }
    },
    "_embedded": {
        "verifiedData": [
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/84170421-62c6-49a5-b343-496bee93c206"
                    }
                },
                "id": "84170421-62c6-49a5-b343-496bee93c206",
                "type": "GOVERNMENT_ID",
                "createdAt": "2022-02-23T15:51:01.603Z",
                "retry": {
                    "attempt": 2
                }
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/ef6cd8cd-d869-4695-af69-29c78b6f041a"
                    }
                },
                "id": "ef6cd8cd-d869-4695-af69-29c78b6f041a",
                "type": "SELFIE",
                "createdAt": "2022-02-25T16:22:35.649Z",
                "retry": {
                    "attempt": 2
                }
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/bf6cd8cd-d869-4695-af69-29c78b6f041a"
                    }
                },
                "id": "bf6cd8cd-d869-4695-af69-29c78b6f041a",
                "type": "BACK_IMAGE",
                "createdAt": "2022-02-25T16:22:35.649Z",
                "retry": {
                    "attempt": 2
                }
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/af6cd8cd-d869-4695-af69-29c78b6f041a"
                    }
                },
                "id": "af6cd8cd-d869-4695-af69-29c78b6f041a",
                "type": "FRONT_IMAGE",
                "createdAt": "2022-02-25T16:22:35.649Z",
                "retry": {
                    "attempt": 2
                }
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/:id"
                    }
                },
                "id": "yf6cd8cd-d869-4695-af69-29c78b6f041a",
                "type": "DOCUMENT_PORTRAIT",
                "createdAt": "2022-02-25T16:22:35.649Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/:id"
                    }
                },
                "id": "vf6cd8cd-d869-4695-af69-29c78b6f041a",
                "type": "CROPPED_DOCUMENT",
                "createdAt": "2022-02-25T16:22:35.649Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/:id"
                    }
                },
                "id": "if6cd8cd-d869-4695-af69-29c78b6f041a",
                "type": "CROPPED_SIGNATURE",
                "createdAt": "2022-02-25T16:22:35.649Z"
            }
        ],
        "previousAttempts": [
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/320f341f-050b-4351-9585-5f16dba6667c"
                    }
                },
                "id": "320f341f-050b-4351-9585-5f16dba6667c",
                "type": "GOVERNMENT_ID",
                "createdAt": "2022-02-23T15:51:01.603Z",
                "retry": {
                    "attempt": 1
                }
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/ce0bb6d8-82d5-4ad0-b348-e7fb97edc64f"
                    }
                },
                "id": "ce0bb6d8-82d5-4ad0-b348-e7fb97edc64f",
                "type": "SELFIE",
                "createdAt": "2022-02-25T16:22:35.649Z",
                "retry": {
                    "attempt": 1
                }
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/639116d2-c1ff-44f3-bdba-af7e1e1d0bdd"
                    }
                },
                "id": "639116d2-c1ff-44f3-bdba-af7e1e1d0bdd",
                "type": "BACK_IMAGE",
                "createdAt": "2022-02-25T16:22:35.649Z",
                "retry": {
                    "attempt": 1
                }
            },
            {
                "_links": {
                    "self": {
                        "href": "https://api.pingone.com/v1/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/a27dec16-1e80-4f10-a261-2cac46a12b78/verifyTransactions/0e2ed48f-6c3a-46c4-bcb5-3a6bd791348b/verifiedData/92faff31-02c5-43af-b09a-c7eac93c59a4"
                    }
                },
                "id": "92faff31-02c5-43af-b09a-c7eac93c59a4",
                "type": "FRONT_IMAGE",
                "createdAt": "2022-02-25T16:22:35.649Z",
                "retry": {
                    "attempt": 1
                }
            }
        ]
    },
    "size": 7
}
```

### Example Response

200 OK

```json
{
    "_links": {
        "environment": {
            "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6"
        },
        "verifyTransaction": {
            "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774"
        },
        "self": {
            "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData"
        },
        "user": {
            "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e"
        }
    },
    "_embedded": {
        "verifiedData": [
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData/84a9a538-4c78-3b96-ba62-33a8a43c4599"
                    }
                },
                "id": "84a9a538-4c78-3b96-ba62-33a8a43c4599",
                "type": "FRONT_IMAGE",
                "createdAt": "2025-04-10T17:31:50.545Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData/124efc59-7c37-33c7-8677-f725b7a4ef4c"
                    }
                },
                "id": "124efc59-7c37-33c7-8677-f725b7a4ef4c",
                "type": "BACK_IMAGE",
                "createdAt": "2025-04-10T17:31:50.552Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData/b9395684-bbda-378e-90bf-3d2da09cb9a2"
                    }
                },
                "id": "b9395684-bbda-378e-90bf-3d2da09cb9a2",
                "type": "DOCUMENT_PORTRAIT",
                "createdAt": "2025-04-10T17:32:53.001Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData/95085fe4-40f8-3938-92d2-fc05cbe4ea13"
                    }
                },
                "id": "95085fe4-40f8-3938-92d2-fc05cbe4ea13",
                "type": "SELFIE",
                "retry": {
                    "attempt": 1
                },
                "createdAt": "2025-04-10T17:31:50.536Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData/8b71dbd9-ca0f-4932-b0b9-96aed76671a2"
                    }
                },
                "id": "8b71dbd9-ca0f-4932-b0b9-96aed76671a2",
                "type": "END_USER_CLIENT",
                "createdAt": "2025-04-10T17:28:12.239Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData/456c88a8-75bb-4e1a-bae0-7f175d91cc9b"
                    }
                },
                "id": "456c88a8-75bb-4e1a-bae0-7f175d91cc9b",
                "type": "IDA",
                "createdAt": "2025-04-10T17:32:53.080Z"
            },
            {
                "_links": {
                    "self": {
                        "href": "http://api.pingone.com/environments/abfba8f6-49eb-49f5-a5d9-80ad5c98f9f6/users/af1397ec-189b-4ae5-a99b-d6f8bc91664e/verifyTransactions/703f0eb4-f996-48df-812d-42ae69582774/verifiedData/6961411d-ac24-4b39-a6d0-c009b529ef62"
                    }
                },
                "id": "6961411d-ac24-4b39-a6d0-c009b529ef62",
                "type": "GOVERNMENT_ID",
                "createdAt": "2025-04-10T17:32:53.020Z"
            }
        ]
    },
    "size": 7
}
```
